Announcing Cradle-7.2 - start your free trial here

December 2013 [Cradle-6.8.3]

Cradle on Linux

Both the Cradle clients and servers have been supported on Linux for many years. 3SL will continue to provide Cradle on this platform for the foreseeable future.

Historically, Cradle was supported on any variant of Linux based on a version 2.4 or later kernel. The Cradle-6.8.2 release requires a version 2.6.11 or later kernel because Cradle-6.8 needs an ability to send messages longer than 4K through pipes that connect parts of the Cradle Database Server (CDS).

This requirement should not create a problem for anyone using Cradle on Linux, as the version 2.6.11 kernel is now old, and all common Linux implementations (2006 or later) use kernels that are more recent than version 2.6.11.

A list of popular Linux implementations, and their kernel versions, is shown below:

Distribution Release Supported Until Kernel Version
Ubuntu 8.04 LTS April 2008 April 2013 2.6.27
Ubuntu 10.04 LTS April 2010 April 2015 2.6.32
Ubuntu 10.10 October 2010 April 2012 2.6.35
Ubuntu 11.04 April 2011 October 2012 2.6.38
Ubuntu 11.10 October 2011 April 2013 3.0
Ubuntu 12.04 LTS (Beta) April 2012 April 2017 3.2
RHEL 3 October 2003 October 2013 2.4.22
RHEL 4 February 2005 February 2015 2.6.9
RHEL 5 March 2007 March 2017 2.6.18
RHEL 6 November 2010 November 2020 2.6.32
RHEL 6.1 May 2011 November 2020 2.6.32
RHEL 6.2 December 2011 November 2020 2.6.32
CentOS 6 July 2011 July 2021 2.6.32
CentOS 6.1 December 2011 December 2021 2.6.32
CentOS 6.2 December 2011 December 2021 2.6.32
SuSE 9.2 October 2004 October 2006 2.6.8
SuSE 9.3 April 2005 April 2007 2.6.11
openSuSE 10.0 October 2005 October 2007 2.6.13
openSuSE 10.2 December 2006 December 2008 2.6.18
openSuSE 10.3 April 2007 April 2009 2.6.22
openSUSE 11.1 December 2008 December 2010 2.6.27
openSuSE 11.2 November 2009 November 2011 2.6.31
openSuSE 11.3 July 2010 July 2012 2.6.34
openSuSE 11.4 March 2011 March 2013 2.6.37
openSuSE 12.1 November 2011 May 2013 3.1
Debian 3.0 June 2002 June 2006 2.2.20 / 2.4.18 / 2.5.26
Debian 3.1 April 2005 October 2008 2.4.30 upgraded to 2.6.11 in May 2005
Debian 4.0 April 2007 May 2010 2.6.18
Fedora Core 3 November 2004 December 2005 2.6.9
Fedora Core 4 June 2005 July 2006 2.6.11
Fedora 14 November 2010 December 2011 2.6.35
Fedora 15 June 2011 July 2012 2.6.38
Fedora 16 November 2011 December 2012 3.1.0

3SL cannot test Cradle on all possible Linux implementations. However, Cradle-6.8.3 has been verified on:

3SL is very confident that Cradle can be used without any problems on all compatible Linux implementations.

There are various methods that you can use to determine the kernel version that you are using. For example, the command:

uname –r

will report the kernel details on many Linux systems. For example, on Ubuntu 10.04.3 the command reports:

2.6.32-24-generic-pae

showing a version 2.6.32 kernel. You can also try:

cat /proc/version

which on Ubuntu 10.04.3 will produce a report such as:

Linux version 2.6.32-24-generic-pae (buildd@palmer) (gcc version 4.4.3 (Ubuntu
4.4.3-4ubuntu5) ) #43-Ubuntu SMP Thu Sep 16 15:30:27 UTC 2010

For Linux distributions based on RedHat, you can use the RedHat package manager, with the command:

rpm -q kernel

You can also try:

dmesg | grep Linux

and:

ls /boot

where you can look for filenames starting vmlinux, such as:

vmlinuz-2.6.32-24-generic-pae

which will also indicate the version of the kernel.

If any current user of Cradle on Linux has any questions or problems related to this change, then please do not hesitate to contact 3SL.

In this issue:

  1. 3SL Newsletters
  2. Receive Your Own Newsletter
  3. Newsletter Contents
  4. 3SL Website
  5. Need Help?
  6. Single User Cradle Products
  7. 3SL Website Shop
  8. Встреча пользователей Колыбели в Санкт-Петербурге.
  9. Want a Free Training Course in the US?
  10. Cradle Group on LinkedIn
  11. Do You Want Windows XP?
  12. Do You Want Office 2003?
  13. Cradle-6.8.3 Release
  14. Supported Platforms
  15. Cradle on Linux
  16. Displaying Diagrams in Web Browsers
  17. Acrobat Compatibility
  18. Mixed Office Installations
  19. Old Versions of Cradle